/*
 * Copyright 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.twotone

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.TwoTone.Woman2: ImageVector
    get() {
        if (_woman2 != null) {
            return _woman2!!
        }
        _woman2 = materialIcon(name = "TwoTone.Woman2") {
            materialPath {
                moveTo(13.94f, 8.31f)
                curveTo(13.62f, 7.52f, 12.85f, 7.0f, 12.0f, 7.0f)
                reflectiveCurveToRelative(-1.62f, 0.52f, -1.94f, 1.31f)
                lineTo(7.0f, 16.0f)
                horizontalLineToRelative(3.5f)
                verticalLineToRelative(6.0f)
                horizontalLineToRelative(3.0f)
                verticalLineToRelative(-6.0f)
                horizontalLineTo(17.0f)
                lineTo(13.94f, 8.31f)
                close()
            }
            materialPath {
                moveTo(12.0f, 4.0f)
                moveToRelative(-2.0f, 0.0f)
                arcToRelative(2.0f, 2.0f, 0.0f, true, true, 4.0f, 0.0f)
                arcToRelative(2.0f, 2.0f, 0.0f, true, true, -4.0f, 0.0f)
            }
        }
        return _woman2!!
    }

private var _woman2: ImageVector? = null
